Subject: Re: bug#55668: Extending the `C-x 8' map to include macrons

From: Kévin Le Gouguec <[email-masked]>
Date: Fri, 27 May 2022 08:03:25 +0200

Tor Kringeland <[email-masked]> writes:

> I suggest chaning the `C-x 8' to add macrons to letters after `C-x 8 -'
> and move the current `C-x 8 -' to `C-x 8 - -'.  Something similar was
> done a while ago with `C-x 8 .' being moved to `C-x 8 . .' to allow for
> new character compositions.
>
> (It could be said that `C-x 8 _' be used, but it already has an entry
> for `C-x 8 _ o' and it's not `ō'.)

>From the peanut gallery (I don't use macrons much in my writing, so
please disregard if not helpful): if we are going to displace an
existing binding, why not `C-x 8 ='?  It's currently bound to ¯
(MACRON), and the = prefix is reminiscent of TeX, where \=o yields ō
(which is usable right now with the TeX input method).